## lcmaps-plugins-verify-proxy 1.5.4

=== src/verify-proxy/verify-lib/Makefile ===
RM = /bin/rm
CAT = /bin/cat
CC = gcc

CFLAGS = \
	-g -W -Wall -ansi -pedantic -Wbad-function-cast -Wcast-align \
	-Wcast-qual -Wchar-subscripts -Winline \
	-Wmissing-prototypes -Wnested-externs -Wpointer-arith \
	-Wredundant-decls -Wshadow -Wstrict-prototypes \
	-Wpointer-arith -Wno-long-long \
	-Wcomment \
	-O -Wuninitialized

CPPFLAGS = \
    -Isrc_internal/ \
    -Iinterface

LFLAGS = \
    -lssl \
    -lcrypto

BIN   =  grid-proxy-verify

OBJS  =  \
	src_internal/_verify_x509.o \
	src_internal/verify_x509_utils.o \
	src_internal/log.o \
	src/verify_x509.o \
	main.o


all: $(BIN)
	./$(BIN) -h && ./$(BIN) -d -d -d


$(BIN): $(OBJS)
	$(CC) $(CFLAGS) $(CPPFLAGS) -o $@ $(OBJS) $(LFLAGS)


$(OBJS): \
	src_internal/log.h \
	interface/verify_x509.h

.c.o:
	$(CC) $(CFLAGS) $(CPPFLAGS) -c $< -o $@

clean:
	$(RM) -f $(BIN) $(OBJS) *~

distclean: clean

=== debian/changelog ===
lcmaps-plugins-verify-proxy (1.5.4-2) unstable; urgency=low

  [ Mischa Salle ]
  * Build-depend on pkg-config to fix globus Multiarch problem
  * Use dh-autoreconf instead of autotools-dev to also fix FTBFS on
    ppc64el by getting new libtool macros (still updates
    config.{sub,guess}). (Thanks to Logan Rosen)

 -- Dennis van Dok <dennisvd@nikhef.nl>  Mon, 20 Jan 2014 16:36:18 +0100

lcmaps-plugins-verify-proxy (1.5.4-1) UNRELEASED; urgency=low

  * New upstream release

 -- Dennis van Dok <dennisvd@nikhef.nl>  Wed, 31 Oct 2012 15:01:23 +0100

lcmaps-plugins-verify-proxy (1.5.3-2) UNRELEASED; urgency=low

  * Install plugins in /usr/lib/lcmaps instead of plugins/ subdirectory

 -- Dennis van Dok <dennisvd@nikhef.nl>  Wed, 31 Oct 2012 14:53:22 +0100

lcmaps-plugins-verify-proxy (1.5.3-1) UNRELEASED; urgency=low

  * New upstream release

 -- Dennis van Dok <dennisvd@nikhef.nl>  Mon, 29 Oct 2012 14:37:06 +0100

lcmaps-plugins-verify-proxy (1.5.2-1) oneiric; urgency=low

  * New upstream release

 -- Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>  Mon, 23 Apr 2012 13:01:36 +0200

lcmaps-plugins-verify-proxy (1.4.12-1) unstable; urgency=low

  * Initial release

 -- Dennis van Dok (Software Engineer) <dennisvd@nikhef.nl>  Tue, 01 Mar 2011 17:20:19 +0100

=== debian/control ===
Source: lcmaps-plugins-verify-proxy
Section: libs
Priority: extra
Maintainer: Dennis van Dok <dennisvd@nikhef.nl>
Uploaders: Mischa Salle <msalle@nikhef.nl>
Build-Depends: cdbs, debhelper (>= 7.0.50~), dh-autoreconf, autotools-dev,
 libssl-dev, lcmaps-basic-interface, pkg-config
Standards-Version: 3.9.5
Homepage: http://wiki.nikhef.nl/grid/Site_Access_Control
Vcs-Svn: https://ndpfsvn.nikhef.nl/repos/mwsec/packaging/debian/trunk/lcmaps-plugins-verify-proxy
Vcs-Browser: http://ndpfsvn.nikhef.nl/viewvc/mwsec/packaging/debian/trunk/lcmaps-plugins-verify-proxy

Package: lcmaps-plugins-verify-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, liblcmaps0
Description: Proxy verification plugin for LCMAPS
 The Local Centre MAPping Service (LCMAPS) is a security middleware
 component that processes the users Grid credentials (typically X.509
 proxy certificates and VOMS attributes) and maps the user to a local
 account based on the site local policy.
 .
 This package contains the Verify Proxy plugin.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/autoreconf.mk


# Add here any variable or target overrides you need.
DEB_CONFIGURE_EXTRA_FLAGS := --with-moduledir="\$${prefix}/lib/lcmaps"

# Don't add ldconfig to postinst/postrm for plug-ins.
DEB_DH_MAKESHLIBS_ARGS_ALL=-n

# The package installs too many files. The .a and .la files should not be shipped,
# and the package documentation directory is the wrong name for Debian.
install/lcmaps-plugins-verify-proxy::
	rm $(DEB_DESTDIR)/usr/lib/lcmaps/lib*.a
	rm $(DEB_DESTDIR)/usr/lib/lcmaps/lib*.la
	rm -rf $(DEB_DESTDIR)/usr/share/doc/lcmaps-plugins-verify-proxy-*/

## lcmaps-plugins-verify-proxy 1.5.10

=== debian/changelog ===
lcmaps-plugins-verify-proxy (1.5.10-2ubuntu2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 17:54:37 +1100

lcmaps-plugins-verify-proxy (1.5.10-2ubuntu1) noble; urgency=medium

  * Don't hard-code dependency on shared library.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 24 Mar 2024 11:20:37 +0100

lcmaps-plugins-verify-proxy (1.5.10-2build5) noble; urgency=high

  * No change rebuild against liblcmaps0t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 17:36:26 +0100

lcmaps-plugins-verify-proxy (1.5.10-2build4) noble; urgency=medium

  * No-change rebuild against lcmaps t64.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Mar 2024 19:31:27 +0100

lcmaps-plugins-verify-proxy (1.5.10-2build3) noble; urgency=medium

  * No-change rebuild against libssl3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 04 Mar 2024 18:20:03 +0000

lcmaps-plugins-verify-proxy (1.5.10-2build2) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:35:51 +0000

lcmaps-plugins-verify-proxy (1.5.10-2build1) bionic; urgency=high

  * No change rebuild against openssl1.1.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 05 Feb 2018 23:22:19 +0000

lcmaps-plugins-verify-proxy (1.5.10-2) unstable; urgency=medium

  * Remove obsolete build dependency on globus-core

 -- Dennis van Dok <dennisvd@nikhef.nl>  Wed, 16 Aug 2017 14:57:21 +0200

lcmaps-plugins-verify-proxy (1.5.10-1) unstable; urgency=medium

  * New upstream release
  * Adapt code for OpenSSL-1.1 API changes (Closes: 828375)
  [ 1.5.9 ]
  * Log whether a proxy is a VOMS proxy
  [ 1.5.8 ]
  * Log signature algorithm and warn in case it is MD5 (or older).
  * Log key length for all certs
  [ 1.5.7 ]
  * In case of verification failure, log the depth and DN of the failed cert.
  * Improved logging
  * Memory leak fixes
  [ 1.5.6 ]
  * Add support for CA certificate directory selection
  [ 1.5.5 ]
  * Added a command-line tool to verify proxies
  * Improved TTL proxy lifetime checks
  * don't link against libssl, only against libcrypto
  * Improve error handling and logging
  * Check for minimum key length (1024)

 -- Dennis van Dok <dennisvd@nikhef.nl>  Fri, 27 Jan 2017 14:42:06 +0100

=== debian/control ===
Source: lcmaps-plugins-verify-proxy
Section: libs
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Dennis van Dok <dennisvd@nikhef.nl>
Uploaders: Mischa Salle <msalle@nikhef.nl>
Build-Depends: debhelper (>= 10), dh-autoreconf, autotools-dev,
 libssl-dev, lcmaps-basic-interface, pkg-config, liblcmaps-dev
Standards-Version: 4.0.0
Homepage: http://wiki.nikhef.nl/grid/Site_Access_Control
Vcs-Svn: https://ndpfsvn.nikhef.nl/repos/mwsec/packaging/debian/trunk/lcmaps-plugins-verify-proxy
Vcs-Browser: http://ndpfsvn.nikhef.nl/viewvc/mwsec/packaging/debian/trunk/lcmaps-plugins-verify-proxy

Package: lcmaps-plugins-verify-proxy
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${lib:Depends}
Description: Proxy verification plugin for LCMAPS
 The Local Centre MAPping Service (LCMAPS) is a security middleware
 component that processes the users Grid credentials (typically X.509
 proxy certificates and VOMS attributes) and maps the user to a local
 account based on the site local policy.
 .
 This package contains the Verify Proxy plugin.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with autoreconf

# do not install the plugins in a multi-arch location as that will break everyone's
# configuration.
override_dh_auto_configure:
	dh_auto_configure -- --with-moduledir="\$${prefix}/lib/lcmaps"

override_dh_makeshlibs:
	dh_makeshlibs -n

# The package installs too many files. The .a and .la files should not be shipped,
# and the package documentation directory is the wrong name for Debian.
override_dh_install:
	rm debian/lcmaps-plugins-verify-proxy/usr/lib/lcmaps/lib*.a
	rm debian/lcmaps-plugins-verify-proxy/usr/lib/lcmaps/lib*.la
	rm -rf debian/lcmaps-plugins-verify-proxy/usr/share/doc/lcmaps-plugins-verify-proxy-*/
	dh_install

override_dh_gencontrol:
	dh_gencontrol -- \
	  -Vlib:Depends=$(shell dpkg-query -W -f '$${Depends}' liblcmaps-dev \
			| sed -E 's/.*(liblcmaps[[:digit:]][[:alnum:].-]+).*/\1/')
